# AdMob API

The AdMob API allows publishers to programmatically get information about their AdMob account.

- [REST Resource: v1beta.accounts](https://developers.google.com/admob/api/reference/rest#v1beta.accounts)
- [REST Resource: v1beta.accounts.adSources](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.adSources)
- [REST Resource: v1beta.accounts.adSources.adapters](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.adSources.adapters)
- [REST Resource: v1beta.accounts.adUnitMappings](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.adUnitMappings)
- [REST Resource: v1beta.accounts.adUnits](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.adUnits)
- [REST Resource: v1beta.accounts.adUnits.adUnitMappings](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.adUnits.adUnitMappings)
- [REST Resource: v1beta.accounts.apps](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.apps)
- [REST Resource: v1beta.accounts.campaignReport](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.campaignReport)
- [REST Resource: v1beta.accounts.mediationGroups](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.mediationGroups)
- [REST Resource: v1beta.accounts.mediationGroups.mediationAbExperiments](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.mediationGroups.mediationAbExperiments)
- [REST Resource: v1beta.accounts.mediationReport](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.mediationReport)
- [REST Resource: v1beta.accounts.networkReport](https://developers.google.com/admob/api/reference/rest#v1beta.accounts.networkReport)
- [REST Resource: v1.accounts](https://developers.google.com/admob/api/reference/rest#v1.accounts)
- [REST Resource: v1.accounts.adUnits](https://developers.google.com/admob/api/reference/rest#v1.accounts.adUnits)
- [REST Resource: v1.accounts.apps](https://developers.google.com/admob/api/reference/rest#v1.accounts.apps)
- [REST Resource: v1.accounts.mediationReport](https://developers.google.com/admob/api/reference/rest#v1.accounts.mediationReport)
- [REST Resource: v1.accounts.networkReport](https://developers.google.com/admob/api/reference/rest#v1.accounts.networkReport)

## Service: admob.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://admob.googleapis.com/$discovery/rest?version=v1>
- <https://admob.googleapis.com/$discovery/rest?version=v1beta>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://admob.googleapis.com`

## REST Resource: [v1beta.accounts](https://developers.google.com/admob/api/reference/rest/v1beta/accounts)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts/get` | `GET /v1beta/{name=accounts/*}` Gets information about the specified AdMob publisher account. |
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts/list` | `GET /v1beta/accounts` Lists the AdMob publisher account that was most recently signed in to from the AdMob UI. |

## REST Resource: [v1beta.accounts.adSources](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources/list` | `GET /v1beta/{parent=accounts/*}/adSources` List the ad sources. |

## REST Resource: [v1beta.accounts.adSources.adapters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list` | `GET /v1beta/{parent=accounts/*/adSources/*}/adapters` List the adapters of the ad source. |

## REST Resource: [v1beta.accounts.adUnitMappings](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnitMappings/batchCreate` | `POST /v1beta/{parent=accounts/*}/adUnitMappings:batchCreate` Batch create the ad unit mappings under the specific AdMob account. |

## REST Resource: [v1beta.accounts.adUnits](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits/create` | `POST /v1beta/{parent=accounts/*}/adUnits` Creates an ad unit under the specified AdMob account. |
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits/list` | `GET /v1beta/{parent=accounts/*}/adUnits` List the ad units under the specified AdMob account. |

## REST Resource: [v1beta.accounts.adUnits.adUnitMappings](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/create` | `POST /v1beta/{parent=accounts/*/adUnits/*}/adUnitMappings` Create an ad unit mapping under the specific AdMob account and ad unit. |
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adUnits.adUnitMappings/list` | `GET /v1beta/{parent=accounts/*/adUnits/*}/adUnitMappings` List ad unit mappings under the specified AdMob account and ad unit. |

## REST Resource: [v1beta.accounts.apps](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/create` | `POST /v1beta/{parent=accounts/*}/apps` Creates an app under the specified AdMob account. |
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.apps/list` | `GET /v1beta/{parent=accounts/*}/apps` List the apps under the specified AdMob account. |

## REST Resource: [v1beta.accounts.campaignReport](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.campaignReport)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.campaignReport/generate` | `POST /v1beta/{parent=accounts/*}/campaignReport:generate` Generates Campaign Report based on provided specifications. |

## REST Resource: [v1beta.accounts.mediationGroups](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/create` | `POST /v1beta/{parent=accounts/*}/mediationGroups` Create a mediation group under the specific AdMob account. |
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/list` | `GET /v1beta/{parent=accounts/*}/mediationGroups` List mediation groups under the specified AdMob account. |
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups/patch` | `PATCH /v1beta/{mediationGroup.name=accounts/*/mediationGroups/*}` Update the specified mediation group under the specified AdMob account. |

## REST Resource: [v1beta.accounts.mediationGroups.mediationAbExperiments](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/create` | `POST /v1beta/{parent=accounts/*/mediationGroups/*}/mediationAbExperiments` Create an A/B testing experiment for a specified AdMob account and a mediation group. |
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop` | `POST /v1beta/{name=accounts/*/mediationGroups/*/mediationAbExperiments}:stop` Stop the mediation A/B experiment and choose a variant. |

## REST Resource: [v1beta.accounts.mediationReport](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationReport)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationReport/generate` | `POST /v1beta/{parent=accounts/*}/mediationReport:generate` Generates an AdMob Mediation report based on the provided report specification. |

## REST Resource: [v1beta.accounts.networkReport](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.networkReport)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.networkReport/generate` | `POST /v1beta/{parent=accounts/*}/networkReport:generate` Generates an AdMob Network report based on the provided report specification. |

## REST Resource: [v1.accounts](https://developers.google.com/admob/api/reference/rest/v1/accounts)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1/accounts/get` | `GET /v1/{name=accounts/*}` Gets information about the specified AdMob publisher account. |
| `https://developers.google.com/admob/api/reference/rest/v1/accounts/list` | `GET /v1/accounts` Lists the AdMob publisher account that was most recently signed in to from the AdMob UI. |

## REST Resource: [v1.accounts.adUnits](https://developers.google.com/admob/api/reference/rest/v1/accounts.adUnits)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1/accounts.adUnits/list` | `GET /v1/{parent=accounts/*}/adUnits` List the ad units under the specified AdMob account. |

## REST Resource: [v1.accounts.apps](https://developers.google.com/admob/api/reference/rest/v1/accounts.apps)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1/accounts.apps/list` | `GET /v1/{parent=accounts/*}/apps` List the apps under the specified AdMob account. |

## REST Resource: [v1.accounts.mediationReport](https://developers.google.com/admob/api/reference/rest/v1/accounts.mediationReport)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1/accounts.mediationReport/generate` | `POST /v1/{parent=accounts/*}/mediationReport:generate` Generates an AdMob Mediation report based on the provided report specification. |

## REST Resource: [v1.accounts.networkReport](https://developers.google.com/admob/api/reference/rest/v1/accounts.networkReport)

| Methods ||
|---|---|
| `https://developers.google.com/admob/api/reference/rest/v1/accounts.networkReport/generate` | `POST /v1/{parent=accounts/*}/networkReport:generate` Generates an AdMob Network report based on the provided report specification. |